InfoSphere Federation Server Version 9.5 data source requirements

Product documentation


Abstract

InfoSphere Federation Server products and the DB2 homogeneous federation feature support the data source versions shown in the following tables.

Content

InfoSphere® Federation Server and the DB2 homogeneous federation feature support data sources shown in the following list:

  • Federated access in InfoSphere Federation Server supports all the data sources shown in the table.
  • Federated access in the DB2 homogeneous federation feature supports access to DB2® for Linux®, UNIX®, and Windows®, DB2 for z/OS, DB2 for iSeries™, and Informix.

Data client software requirements depend on the data sources that are accessed and are shown in the first table. The client software must be acquired separately unless specified otherwise. The client software must be installed on the same system as the InfoSphere Federation Server.

1 Teradata is not supported on Itanium HP-UX.

Table 1. Supported data sources, client software requirements, and support from 32-bit platforms.

32-bit Hardware Architecture
and
Operating System
X86-32
X86-32
Data Source
Supported Versions
Client Software
Linux,
RedHat Enterprise Linux (RHEL),
SUSE
Windows
BioRS3 V5.2 None
Y
Y
Blast3 V2.2.1, V2.2.3, v2.2.4, v2.2.9 Blast Demon (Supplied)
Y
Y
DB2 for Linux, UNIX, and Windows V8.1.x, V8.2.x, V9.1.x, V9.5, V9.8, V10.1 None
Y
Y
DB2 for z/OS V7.x, V8.x, V9.x, V10.x DB2 Connect V9.5
Y
Y
DB2 for iSeries V5.2, V5.3, V5.4, 6.1 DB2 Connect V9.5
Y
Y
DB2 Server for VSE and VM V7.2 , V7.4 DB2 Connect V9.5
Y
Y
Entrez3 None
Y
Y
Flat files None
Y
Y
HMMER3 v2.3, v2.3.2 HMMER daemon (supplied)
Y
Y
Informix Informix XPS 8.50, 8.51 and Informix IDS 11.105, 11.50 Informix Client SDK Version 2.81 or later; 3.0 or higher required for SLES 10 on Power
Y
Y
MQ UDFs MQSeries 6.0, 7.0.1 For V6.0, WebSphere MQ client (included)
Y
Y
Microsoft Excel 2003, 2007 Excel 2003 or 2007
Y
Microsoft SQL Server Microsoft SQL Server 2000 SP3, 2005, 2008, 2008R2 For Windows, Microsoft SQL Server Client ODBC 3.0 (or later) driver.

For UNIX, DataDirect ODBC 5.2 (included), 6
Y
Y
ODBC 3.0 ODBC drivers that comply with ODBC 3.0 2
Y
Y
OLE DB 2.7, 2.8 OLE DB 2.0, or later
Y
Y
Oracle v10g, v10gR2, v11g5, v11gR2 Oracle NET client V10.0, V10.1, V10.2.0.1 with patch 3807408
Y
Y
Sybase Sybase ASE 12.5, 15.0, 15.5 Sybase Open Client 12.5, 15.0
Y
Y
Teradata v2.5, v2.6, 12, 13 Shared Common Components for Internationalization for Teradata (tdicu) version 1.01 or later, Teradata Generic Security Services (TeraGSS) version 6.01 or later, and the following operating system software:
  • For Windows, Teradata API library CLIv2 4.8.0 or later.
  • For UNIX and Linux, Teradata Call-Level Interface Version 2 CLIv2 Release 04.08 or later.
Y 1
Y
WebSphere Business Integration for PeopleSoft 2.63 PeopleSoft v8.x None
Y
Y
WebSphere Business Integration for SAP 2.63 SAP v3.x, v4.x None
Y
Y
WebSphere Business Integration for Siebel 2.63 Siebel v7, v7.5, 2000 None
Y
Y
Web Services WSDL 1.0, 1.1
SOAP 1.0, 1.1
None
Y
Y
XML XML1.0, XML1.1 None
Y
Y
1 This support is provided starting with InfoSphere Federation Server V9.5 Fix Pack 3.
2 ODBC can be used to access RedBrick 6.20.UC5 and 6.3, and InfoSphere Classic Federation V8.2.x and later, among other data sources.

Table 2. Support from 64-bit Platforms

64-bit Hardware Architecture
X86-64
X86-64
Power
Itanium
Power
Sparc
zSeries
Operating System
Linux
RHEL
SUSE
Windows
AIX
HP-UX
Linux
RHEL
SUSE
Solaris
Linux
RHEL
SUSE
Data Source
BioRS3
Y
Y
Y
Y
Y
Y
Y
Blast3
Y
Y
Y
Y
Y
Y
Y
DB2 for Linux, UNIX, and Windows
Y
Y
Y
Y
Y
Y
Y
DB2 for z/OS
Y
Y
Y
Y
Y
Y
Y
DB2 for iSeries
Y
Y
Y
Y
Y
Y
Y
DB2 Server for VSE and VM
Y
Y
Y
Y
Y
Y
Y
Entrez3
Y
Y
Y
Y
Y
Y
Flat files
Y
Y
Y
Y
Y
Y
Y
HMMER3
Y
Y
Y
Y
Y
Y
Y
Informix
Y
Y
Y
Y
Y
Y
Microsoft Excel
Microsoft SQL Server
Y
Y
Y
Y
Y
Y 6
ODBC
Y
Y
Y 4
Y
Y 4
Y 6
OLE DB
Y
Y
Oracle
Y
Y
Y
Y
Y
Y
Y
Script
Y
Y
Y
Y
Y
Y
Y
Sybase
Y
Y
Y
Y
Y
Y 6
Teradata
Y 1
Y
Y
Y
WebSphere Business Integration for PeopleSoft 2.6
Y
Y
Y
Y
Y
Y
Y
WebSphere Business Integration for SAP 2.6
Y
Y
Y
Y
Y
Y
Y
WebSphere Business Integration for Seibel 2.6
Y
Y
Y
Y
Y
Y
Y
Web Services
Y
Y
Y
Y
Y
Y
Y
XML
Y
Y
Y
Y
Y
Y
Y

3 The next major release of InfoSphere Federation Server after V9.5 will not provide the following support:
  • WebSphere Business Integration Wrappers
  • BLAST Wrapper
  • Entrez Wrapper
  • HMMER Wrapper
4 ODBC can be used to access RedBrick 6.20.UC5 and 6.3 and InfoSphere Classic Federation V8.2.x and later using 32-bit clients.
5 This support is provided starting with InfoSphere Federation Server V9.5 Fix Pack 1.
6 This support is provided starting with InfoSphere Federation Server V9.5 Fix Pack 1 and requires ODBC drivers for InfoSphere Federation Server for Linux on System z (also called DataDirect Technologies Connect ODBC drivers) which can be downloaded from this location:
ftp://public.dhe.ibm.com/software/db2ii/downloads/odbc_driver

Rate this page:

(0 users)Average rating

Add comments

Document information


More support for:

InfoSphere Federation Server

Software version:

9.5

Operating system(s):

AIX, HP-UX, Linux, Solaris, Windows

Reference #:

7011206

Modified date:

2010-10-04

Translate my page

Machine Translation

Content navigation